### File

`packages/core/src/lib/services/storage/local-forage.service.ts`

### Description

localforage service, using the localForage javascript library https://localforage.github.io/localForage

### Extends

`AsyncStorageService`

### Index

###### Properties

- Static NAME

###### Methods

- get
- name
- ready
- remove
- set
- removeAsync
- setAsync

### Constructor

`constructor()`

### Methods

get
`get(key: string)`

retrieve an object from localforage

Parameters :

Name | Type | Optional | Description
key | `string` | No | the associated key

Returns : `Observable<any>`

one time emission Observable of value

name
`name()`
the name of the storage service Returns : `string`

ready
`ready()`
reflects the readiness of the storage Returns : `Observable<any>` one time emission Observable<void>

remove
`remove(key: string)`

removes an object from localforage

Parameters :

Name | Type | Optional | Description
key | `string` | No | the associated key

Returns : `Observable<any>`

one time emission Observable

set
`set(key: string, value: any)`

sets an object in localforage

Parameters :

Name | Type | Optional | Description
key | `string` | No | the associated key
value | `any` | No | the value to set

Returns : `Observable<any>`

one time emission Observable

removeAsync
`removeAsync(key: string)`

asynchronous helper for remove function

Parameters :

Name | Type | Optional | Description
key | `string` | No | the associated key

Returns : `void`

setAsync
`setAsync(key: string, value: any)`

asynchronous helper for set function

Parameters :

Name | Type | Optional | Description
key | `string` | No | the associated key
value | `any` | No | the value to set

Returns : `void`

### Properties

Static NAME
Type : `string`
Default value : `'LocalForageService'`

# results matching ""

# No results matching ""